(defun dtr (a)
	(* pi (/ a 180.0))
)
(defun info ()
	(setq start (list (atof spx) (atof spy) 0.0))
	(setq end (list (atof epx) (atof epy) 0.0))
	(setq width (atof ww))
	(setq halfwidth (/ width 2))
	(setq wallangle (angle start end))
	(setq walllength (distance start end))
	(setq arcsize (/ width 4))
	(setq perpath (+ wallangle (dtr 90)))
	(setq perpath2 (- wallangle (dtr 90)))
	(setq total 1)
	(setq arcnumber 1)
)
(defun drawwall ()
	(command "pline"
		(setq corner (polar start perpath halfwidth))
		(setq corner (polar corner wallangle walllength))
		(setq corner (polar corner perpath2 width))
		(polar corner (+ wallangle (dtr 180)) walllength)
		"close"
		)
)
(defun insulate ()
	(setq arcstart1 (polar start perpath2 (/ halfwidth 2)))
	(while (< total walllength)
		(setq arcenter1 (polar arcstart1 wallangle arcsize))
		(setq arcend1 (polar arcenter1 wallangle arcsize))
		(setq arcenter2 (polar arcend1 perpath (* 2 arcsize)))
		(setq arcstart2 (polar arcenter2 wallangle arcsize))
		(setq arcend2 (polar arcenter2 (+ wallangle (dtr 180)) arcsize))
		(command "arc" arcstart1 "c" arcenter1 arcend1)
		(command "arc" "c" arcenter2 arcstart2 arcend2)
		(command "line" arcstart2 arcend1 "")
		(command "line" arcend2 arcend1 "")
		(setq arcnumber (1+ arcnumber))
		(setq arclength (distance arcstart1 arcend1))			
		(setq arcstart1 (polar arcstart1 wallangle (* 2 arcsize)))
		(setq total (* arcnumber  arclength))		
	)
)
(defun dialdefaults()
	(if (not spx) (setq spx 0.0))
	(if (not spy) (setq spy 0.0))
	(if (not epx) (setq epx 0.0))
	(if (not epy) (setq epy 0.0))
	(if (not ww) (setq ww 0.0))
)
(defun CADDIAL ()
	(setq dcl_id  (load_dialog "iacad14.dcl")) 
	(if (not (new_dialog "cad_box" dcl_id))(exit)) 
	(dialdefaults)
	(action_tile "spx" "(setq spx (get_tile \"spx\"))")
	(action_tile "spy" "(setq spy (get_tile \"spy\"))")
	(action_tile "epx" "(setq epx (get_tile \"epx\"))")
	(action_tile "epy" "(setq epy (get_tile \"epy\"))")
	(action_tile "ww" "(setq ww (get_tile \"ww\"))")
	(action_tile "cancel" "(done_dialog)")
	(action_tile "accept" "(info)(done_dialog)") 
	(start_dialog)
	(princ)
   
)     
	
(defun C:ddia ( / spx spy spz epx epy epz ww)
	(caddial)
	(drawwall)
	(insulate)
	(princ)
) 
